# Record Class CATypePackageCompileCheckingFailed

java.lang.Object
java.lang.Record
com.io7m.cardant.type_packages.compiler.api.CATypePackageCompileCheckingFailed

Record Components:
  `message` - The error message
  `errorCode` - The error code
  `attributes` - The error attributes
  `remediatingAction` - The remediating action, if any
  `exception` - The exception, if any
  `extras` - The extra errors

All Implemented Interfaces:
  `CATypePackageCompileResultType`, `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`

public record CATypePackageCompileCheckingFailed(String message, CAErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception, List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>> extras) extends Record implements CATypePackageCompileResultType, com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>
Type checking failed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypePackageCompileCheckingFailed(String message, CAErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception, List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>> extras)`
  Type checking failed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `attributes()`
  Returns the value of the `attributes` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAErrorCode`
  `errorCode()`
  Returns the value of the `errorCode` record component.
  `Optional<Throwable>`
  `exception()`
  Returns the value of the `exception` record component.
  `List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>>`
  `extras()`
  Returns the value of the `extras` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `Optional<String>`
  `remediatingAction()`
  Returns the value of the `remediatingAction` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CATypePackageCompileCheckingFailed

    public CATypePackageCompileCheckingFailed(String message, CAErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception, List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>> extras)
    Type checking failed.
    Parameters:
      `message` - The error message
      `errorCode` - The error code
      `attributes` - The error attributes
      `remediatingAction` - The remediating action, if any
      `exception` - The exception, if any
      `extras` - The extra errors

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Specified by:
      `message` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `message` record component

  - ### errorCode

    public CAErrorCode errorCode()
    Returns the value of the `errorCode` record component.
    Specified by:
      `errorCode` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `errorCode` record component

  - ### attributes

    public Map<String,String> attributes()
    Returns the value of the `attributes` record component.
    Specified by:
      `attributes` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `attributes` record component

  - ### remediatingAction

    public Optional<String> remediatingAction()
    Returns the value of the `remediatingAction` record component.
    Specified by:
      `remediatingAction` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `remediatingAction` record component

  - ### exception

    public Optional<Throwable> exception()
    Returns the value of the `exception` record component.
    Specified by:
      `exception` in interface `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`
    Returns:
      the value of the `exception` record component

  - ### extras

    public List<com.io7m.seltzer.api.SStructuredError<CAErrorCode>> extras()
    Returns the value of the `extras` record component.
    Returns:
      the value of the `extras` record component